<?php

namespace FM\Factory;

use Doctrine\ORM\EntityManager;

class TagFactory
{
    protected $connection;

    public function __construct(EntityManager $entityManager)
    {
        $this->connection = $entityManager->getConnection();
    }

    public function getTags($param)
    {
        $sql = "SELECT FCM_TAGSTAREFA.NRTAGSTAREFA, NVL(FCM_ESCOPOSTAREFA.NMESCOPOSTAREFA,' ') AS DSTAGSTAREFA
                  FROM FCM_TAGSTAREFA
                  JOIN FCM_ESCOPOSTAREFA
                    ON FCM_TAGSTAREFA.NRESCOPOSTAREFA = FCM_ESCOPOSTAREFA.NRESCOPOSTAREFA
                  JOIN FCM_TAREFA
                    ON FCM_TAGSTAREFA.NRTAREFA = FCM_TAREFA.NRTAREFA
                  JOIN FCM_ATIVIDADE
                    ON FCM_TAREFA.NRATIVIDADE = FCM_ATIVIDADE.NRATIVIDADE
                  JOIN FCM_ATIVIDADECHK
                    ON FCM_ATIVIDADE.NRATIVIDADE = FCM_ATIVIDADECHK.NRATIVIDADE
                 WHERE FCM_ATIVIDADECHK.NRATIVIDADECHK IN (" . $param . ")";

        return $this->connection->executeQuery($sql)->fetchAllAssociative();
    }
}
