<?php

namespace FM\Service;

use FM\Factory\TaskFactory;
use Teknisa\Libs\Util\Environment;
use Teknisa\Libs\Util\NewCode;

class TaskService
{

    protected $TaskFactory;
    protected $Environment;
    protected $newCode;

    public function __construct(TaskFactory $TaskFactory, Environment $Environment, NewCode $newCode)
    {
        $this->TaskFactory = $TaskFactory;
        $this->Environment = $Environment;
        $this->newCode = $newCode;
    }

    public function getTarefaByTags($param)
    {
        $operadores = $this->TaskFactory->getTarefaByTags($param['NR']);
        return $operadores;
    }

    public function getTarefas()
    {
        $operadores = $this->TaskFactory->getTarefas();
        return $operadores;
    }
}
